(function() {

    "use strict";

    // =============================================
    // 複数レコード登録
    // =============================================
    kintone.events.on("app.record.create.submit", function(event) {

        var record = event.record;

        // アプリID
        var appId = kintone.app.getId();
        // パラメータ配列
        var params = {
            "app": appId + 1,
            "records": [
                {
                    "項目x": {
                        "value": "あいうえお"
                    },
                    "項目y": {
                        "value": 100
                    },
                    "項目z": {
                        "value": "あいうえおあいうえおあいうえおあいうえおあいうえお"
                    }
                },
                {
                    "項目x": {
                        "value": "かきくけこ"
                    },
                    "項目y": {
                        "value": 200
                    },
                    "項目z": {
                        "value": "かきくけこかきくけこかきくけこかきくけこかきくけこ"
                    }
                },
                {
                    "項目x": {
                        "value": "さしすせそ"
                    },
                    "項目y": {
                        "value": 300
                    },
                    "項目z": {
                        "value": "さしすせそさしすせそさしすせそさしすせそさしすせそ"
                    }
                }
            ]
        };
        return kintone.api(kintone.api.url('/k/v1/records', true), 'POST', params).then(function(resp) {
            // 成功時
            return event;
        }, function(resp) {
            // エラー時
            if (resp.message !== undefined) {
                console.log(resp.message);
            }
            event.error = "エラーが発生しました！";
            return event;
        });
    });
})();
